Package proton :: Module handlers :: Class TransactionalClientHandler

[frames] | no frames]

# Class TransactionalClientHandler

source code

        object --+
                 |
           Handler --+
                     |
        object --+   |
                 |   |
            Acking --+
                     |
      MessagingHandler --+
                         |
            object --+   |
                     |   |
    TransactionHandler --+
                         |
                        TransactionalClientHandler

An extension to the MessagingHandler for applications using transactions.

Instance Methods

__init__(self, prefetch=10, auto_accept=False, auto_settle=True, peer_close_is_error=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

accept(self, delivery, transaction=None) Accepts a received message. | source code

Inherited from `MessagingHandler`: `on_accepted`, `on_connection_closed`, `on_connection_closing`, `on_connection_error`, `on_disconnected`, `on_link_closed`, `on_link_closing`, `on_link_error`, `on_message`, `on_reactor_init`, `on_rejected`, `on_released`, `on_sendable`, `on_session_closed`, `on_session_closing`, `on_session_error`, `on_settled`, `on_start`, `on_transport_error`

Inherited from `Handler`: `handlers`, `on_unhandled`

Inherited from `Acking`: `reject`, `release`, `settle`

Inherited from `TransactionHandler`: `on_transaction_aborted`, `on_transaction_commit_failed`, `on_transaction_committed`, `on_transaction_declare_failed`, `on_transaction_declared`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, prefetch=10, auto_accept=False, auto_settle=True, peer_close_is_error=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### accept(self, delivery, transaction=None)

source code

Accepts a received message.

Overrides: Acking.accept
  (inherited documentation)